Exiv2: Exiv2::TiffFinder Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::TiffFinder Class Reference

Search the composite for a component with tag and group. Return a pointer to the component or 0, if not found. The class is ready for a first search after construction and can be re-initialized with init(). More...

`#include <tiffvisitor.hpp>`

Inheritance diagram for Exiv2::TiffFinder:

[legend]
Collaboration diagram for Exiv2::TiffFinder:

[legend]

List of all members.

## Public Member Functions
Creators
| TiffFinder (uint16_t tag, uint16_t group)
| Constructor, taking the image to add the metadata to.
virtual | ~TiffFinder ()
| Virtual destructor.
Manipulators
virtual void | visitEntry (TiffEntry *object)
| Find tag and group in a TIFF entry.
virtual void | visitDataEntry (TiffDataEntry *object)
| Find tag and group in a TIFF data entry.
virtual void | visitSizeEntry (TiffSizeEntry *object)
| Find tag and group in a TIFF size entry.
virtual void | visitDirectory (TiffDirectory *object)
| Find tag and group in a TIFF directory.
virtual void | visitSubIfd (TiffSubIfd *object)
| Find tag and group in a TIFF sub-IFD.
virtual void | visitMnEntry (TiffMnEntry *object)
| Find tag and group in a TIFF makernote.
virtual void | visitIfdMakernote (TiffIfdMakernote *object)
| Find tag and group in an IFD makernote.
virtual void | visitArrayEntry (TiffArrayEntry *object)
| Find tag and group in an array entry component.
virtual void | visitArrayElement (TiffArrayElement *object)
| Find tag and group in an array element.
void | findObject (TiffComponent *object)
| Check if object matches tag and group.
void | init (uint16_t tag, uint16_t group)
| Initialize the Finder for a new search.
Accessors
TiffComponent * | result () const
| Return the search result. 0 if no TIFF component was found for the tag and group combination.

## Detailed Description

Search the composite for a component with tag and group. Return a pointer to the component or 0, if not found. The class is ready for a first search after construction and can be re-initialized with init().

The documentation for this class was generated from the following file:

- tiffvisitor.hpp